import type { SetupContext } from 'vue';
import type { CheckboxGroupValue, CheckboxOptionObj } from '../../checkbox';
import type { PrimaryTableCol, TdPrimaryTableProps } from '../type';
export declare function getColumnKeys(columns: PrimaryTableCol[], keys?: Set<string>): Set<string>;
export default function useColumnController(props: TdPrimaryTableProps, context: SetupContext): {
    tDisplayColumns: import("vue").Ref<CheckboxGroupValue>;
    columnCheckboxKeys: import("vue").Ref<(string | number)[]>;
    checkboxOptions: import("vue").ComputedRef<CheckboxOptionObj[]>;
    renderColumnController: () => JSX.Element;
};
